/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package vista;

import controlador.FormularioControlador;
import controlador.LimitadorCaracteres;
import javax.swing.JOptionPane;
import modelo.RegistroFormulario;

/**
 *
 * @author Windows
 */
public class Novedades extends java.awt.Dialog {

    public long numDocUsu, numDocVig;

    public Novedades(java.awt.Frame parent, boolean modal, long numDocUsu, long numDocVig) {
        super(parent, modal);
        this.numDocUsu = numDocUsu;
        this.numDocVig = numDocVig;
        initComponents();
        this.setLocationRelativeTo(null);

        txtEnfermedad.setDocument(new LimitadorCaracteres(txtEnfermedad, 50, 1));
        txtSitios.setDocument(new LimitadorCaracteres(txtSitios, 200, 2));
        txtCantidadMayores.setDocument(new LimitadorCaracteres(txtCantidadMayores, 2, 0));
        txtCantidadMenores.setDocument(new LimitadorCaracteres(txtCantidadMenores, 2, 0));
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel7 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        txtCantidadMayores = new javax.swing.JTextField();
        txtCantidadMenores = new javax.swing.JTextField();
        txtEnfermedad = new javax.swing.JTextField();
        btnEnviar = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        txtSitios = new javax.swing.JTextArea();
        jLabel1 = new javax.swing.JLabel();

        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                closeDialog(evt);
            }
        });
        setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jLabel7.setFont(new java.awt.Font("Century Gothic", 1, 18)); // NOI18N
        jLabel7.setText("Enfermedades:");
        add(jLabel7, new org.netbeans.lib.awtextra.AbsoluteConstraints(70, 120, -1, -1));

        jLabel4.setFont(new java.awt.Font("Century Gothic", 1, 18)); // NOI18N
        jLabel4.setText("Sitios frecuentados:");
        add(jLabel4, new org.netbeans.lib.awtextra.AbsoluteConstraints(70, 170, -1, -1));

        jLabel3.setFont(new java.awt.Font("Century Gothic", 1, 18)); // NOI18N
        jLabel3.setText("Cantidad de menores:");
        add(jLabel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(70, 270, -1, -1));

        jLabel5.setFont(new java.awt.Font("Century Gothic", 1, 18)); // NOI18N
        jLabel5.setText("Cantidad de mayores:");
        add(jLabel5, new org.netbeans.lib.awtextra.AbsoluteConstraints(70, 320, -1, -1));

        jLabel2.setFont(new java.awt.Font("Century Gothic", 1, 36)); // NOI18N
        jLabel2.setText("Reportar Novedad");
        add(jLabel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(150, 30, -1, -1));

        txtCantidadMayores.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtCantidadMayoresActionPerformed(evt);
            }
        });
        add(txtCantidadMayores, new org.netbeans.lib.awtextra.AbsoluteConstraints(300, 320, 150, -1));
        add(txtCantidadMenores, new org.netbeans.lib.awtextra.AbsoluteConstraints(300, 280, 150, -1));
        add(txtEnfermedad, new org.netbeans.lib.awtextra.AbsoluteConstraints(300, 120, 150, -1));

        btnEnviar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/fg.png"))); // NOI18N
        btnEnviar.setBorder(null);
        btnEnviar.setBorderPainted(false);
        btnEnviar.setContentAreaFilled(false);
        btnEnviar.setFocusPainted(false);
        btnEnviar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnEnviarActionPerformed(evt);
            }
        });
        add(btnEnviar, new org.netbeans.lib.awtextra.AbsoluteConstraints(280, 360, -1, -1));

        txtSitios.setColumns(20);
        txtSitios.setRows(5);
        jScrollPane1.setViewportView(txtSitios);

        add(jScrollPane1, new org.netbeans.lib.awtextra.AbsoluteConstraints(300, 170, -1, -1));

        jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/fondo1.jpg"))); // NOI18N
        add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 600, 430));

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * Closes the dialog
     */
    private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
        setVisible(false);
        dispose();
    }//GEN-LAST:event_closeDialog

    private void txtCantidadMayoresActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtCantidadMayoresActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtCantidadMayoresActionPerformed

    private void btnEnviarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnEnviarActionPerformed
        RegistroFormulario rfm = new RegistroFormulario();
        rfm.setEnfermedad(txtEnfermedad.getText());
        rfm.setSitiosFrecuentados(txtSitios.getText());
        rfm.setCantidadMayores(Integer.parseInt(txtCantidadMayores.getText()));
        rfm.setCantidadMenores(Integer.parseInt(txtCantidadMenores.getText()));
        rfm.setNumDocUsuario(numDocUsu);
        rfm.setNumDocVigilante(numDocVig);

        FormularioControlador fmc = new FormularioControlador();
        try {
            fmc.enviar(rfm);
            dispose();
        } catch (Exception ex) {
            JOptionPane.showMessageDialog(null, ex);
        }
    }//GEN-LAST:event_btnEnviarActionPerformed

    /**
     * @param args the command line arguments
     */

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnEnviar;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextField txtCantidadMayores;
    private javax.swing.JTextField txtCantidadMenores;
    private javax.swing.JTextField txtEnfermedad;
    private javax.swing.JTextArea txtSitios;
    // End of variables declaration//GEN-END:variables
}
